import { EMCallback, EMMessageBody, EMMessagePinInfo, EMMessageReaction } from 'libhyphenate.so';
export class EMMessage {
    constructor();
    constructor(k13: string, l13: string, m13: EMMessageBody, n13: number);
    constructor(f13: string, g13: string, h13: EMMessageBody, i13: number, j13: string);
    msgId: () => string;
    setMsgId: (msgId: string) => void;
    from: () => string;
    setFrom: (from: string) => void;
    to: () => string;
    setTo: (to: string) => void;
    conversationId: () => string;
    setConversationId: (conversationId: string) => void;
    status: () => number;
    setStatus: (status: number) => void;
    chatType: () => number;
    setChatType: (chatType: number) => void;
    msgDirection: () => number;
    setMsgDirection: (msgDirection: number) => void;
    isRead: () => boolean;
    setIsRead: (isRead: boolean) => void;
    isListened: () => boolean;
    setIsListened: (isListened: boolean) => void;
    isReadAcked: () => boolean;
    setIsReadAcked: (isReadAcked: boolean) => void;
    isDeliverAcked: () => boolean;
    setIsDeliverAcked: (isDeliverAcked: boolean) => void;
    isNeedGroupAck: () => boolean;
    setIsNeedGroupAck: (isNeedGroupAck: boolean) => void;
    groupAckCount: () => number;
    setGroupAckCount: (groupAckCount: number) => void;
    timestamp: () => number;
    setTimestamp: (timestamp: number) => void;
    localTime: () => number;
    setLocalTime: (localTime: number) => void;
    bodies: () => Array<EMMessageBody>;
    clearBodies: () => void;
    addBody: (body: EMMessageBody) => void;
    setAttribute: (attribute: string, value: boolean | number | string) => void;
    getAttribute: (attribute: string) => boolean | number | string;
    setJsonAttribute: (attribute: string, object: string) => void;
    getJsonAttribute: (attribute: string) => string | undefined;
    removeAttribute: (attribute: string) => void;
    clearAttributes: () => void;
    ext: () => Array<object>;
    callback: () => EMCallback;
    setCallback: (callback: EMCallback) => void;
    setProgress: (percent: number) => void;
    getProgress: () => number;
    isOnlineState: () => boolean;
    setOnlineState: (isOnlineState: boolean) => void;
    setPriority: (priority: number) => void;
    isDeliverOnlineOnly: () => boolean;
    deliverOnlineOnly: (onlineOnly: boolean) => void;
    receiverList: () => Array<string>;
    setReceiverList: (receiverList: Array<string>) => void;
    isBroadcast: () => boolean;
    setBroadcast: (isBroadcast: boolean) => void;
    getReactions: () => Array<EMMessageReaction>;
    getRecaller: () => string;
    setRecaller: (recaller: string) => void;
    pinnedInfo: () => EMMessagePinInfo | undefined;
}
